Another developer script - clang with warnings.
authorEmil Mikulic <emikulic@gmail.com>
Sat, 15 Jan 2011 09:54:15 +0000 (20:54 +1100)
committerEmil Mikulic <emikulic@gmail.com>
Sun, 28 Apr 2013 10:37:08 +0000 (20:37 +1000)
devel/clang-warns [new file with mode: 0755]

diff --git a/devel/clang-warns b/devel/clang-warns
new file mode 100755 (executable)
index 0000000..3edacfa
--- /dev/null
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# Build with clang with all warnings
+#
+
+# Adjust to suit:
+LLVM=$HOME/llvm
+CLANG=$LLVM/build/Release/bin/clang
+
+BDECFLAGS="-W -Wall -pedantic -Wbad-function-cast -Wcast-align \
+-Wcast-qual -Wchar-subscripts -Winline \
+-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
+-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings"
+# local change: removed -ansi above
+
+# disabled:
+# -Wunreachable-code
+
+$CLANG -std=c99 $BDECFLAGS \
+-Wextra -Waddress -Waggregate-return \
+-Wcomment \
+-Wdisabled-optimization \
+-Wconversion \
+-Wempty-body \
+-Wfloat-equal -Wformat -Wformat=2 \
+-Wformat-nonliteral \
+-Wformat-security -Wformat-y2k \
+-Wignored-qualifiers -Wimplicit \
+-Winit-self \
+-Winvalid-pch \
+-Wlong-long -Wmain \
+-Wmissing-braces -Wmissing-field-initializers -Wmissing-format-attribute \
+-Wmissing-include-dirs -Wmissing-noreturn \
+-Woverlength-strings -Wpacked \
+-Wpadded -Wparentheses \
+-Wreturn-type -Wsequence-point -Wsign-compare \
+-Wstack-protector -Wstrict-aliasing \
+-Wstrict-overflow -Wstrict-overflow=5 -Wswitch \
+-Wswitch-default -Wswitch-enum -Wtrigraphs \
+-Wtype-limits -Wundef -Wuninitialized -Wunknown-pragmas \
+-Wunused -Wunused-function -Wunused-label \
+-Wunused-parameter -Wunused-value -Wunused-variable \
+-Wvariadic-macros -Wvla -Wvolatile-register-var \
+-Wabi \
+-O -pipe -fstrict-aliasing ../darkhttpd.c
+
+echo errcode: $?
+rm -f a.out